Get a list of merchant accounts
https://management-test.adyen.com/v1/companies/{companyId}/merchantsReturns the list of merchant accounts under the company account specified in the path. The list only includes merchant accounts that your API credential has access to. The list is grouped into pages as defined by the query parameters. To make this request, your API credential must have the following roles: * Management API—Account read
Path Parameters
The unique identifier of the company account.
Query Params
The number of the page to fetch.
The number of items to have on a page, maximum 100. The default is 10 items on a page.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/merchants' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}